Skip to main content
GET
List account transactions

Headers

Authorization
enum<string>
default:NONE
required

Reserved for PCX-managed applications. External API integrations must always send the literal string NONE — this is the only accepted value.

Available options:
NONE
Example:

"NONE"

X-Api-Key
string
default:NONE
required

Your API key. This is the only supported credential.

Example:

"pcx_abc123_xxxx"

Path Parameters

account_id
string
required

Query Parameters

type
enum<string>
Available options:
deposit,
withdrawal,
transfer
status
enum<string>
Available options:
pending,
completed,
failed
start_date
string<date>
end_date
string<date>
limit
integer
default:20
last_evaluated_key
string

Response

Paginated transaction list

data
object[]
meta
object